Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.jndi
Class JNDIProviding

    java.lang.Object
      org.picocontainer.gems.jndi.JNDIProviding

All Implemented Interfaces:
  org.picocontainer.ComponentFactory

    public class JNDIProviding

extends Object
implements org.picocontainer.ComponentFactory

TODO: decide where to get JNDI name as we do not have implementation here. ? Property

Author:
  k.pribluda

Constructor Summary
`JNDIProviding()`

Method Summary
`void` | `accept(org.picocontainer.PicoVisitor visitor)`
`
`<T> org.picocontainer.ComponentAdapter<T>`
` | `createComponentAdapter(org.picocontainer.ComponentMonitor componentMonitor, org.picocontainer.LifecycleStrategy lifecycleStrategy, Properties componentProperties, Object componentKey, Class<T> componentImplementation, org.picocontainer.Parameter... parameters)`
`void` | `verify(org.picocontainer.PicoContainer container)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNDIProviding

    public JNDIProviding()

Method Detail

### createComponentAdapter

    public <T> org.picocontainer.ComponentAdapter<T> createComponentAdapter(org.picocontainer.ComponentMonitor componentMonitor,
                                                                            org.picocontainer.LifecycleStrategy lifecycleStrategy,
                                                                            Properties componentProperties,
                                                                            Object componentKey,
                                                                            Class<T> componentImplementation,
                                                                            org.picocontainer.Parameter... parameters)
                                                                 throws org.picocontainer.PicoCompositionException

  Specified by:
    `createComponentAdapter` in interface `org.picocontainer.ComponentFactory`
  Throws:
    `org.picocontainer.PicoCompositionException`

### verify

    public void verify(org.picocontainer.PicoContainer container)

  Specified by:
    `verify` in interface `org.picocontainer.ComponentFactory`

### accept

    public void accept(org.picocontainer.PicoVisitor visitor)

  Specified by:
    `accept` in interface `org.picocontainer.ComponentFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.